@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

/*================================
    Create Button Variables
================================*/
// Variables for the Create Button




$create__create-new-button--border-width: $boxes--border__thin;
$create__create-new-button--border: $create__create-new-button--border-width solid $grey__default--800;
$create__create-new-button--bg-color: $white;
$create__create-new-button-hover--bg-color: $white;
$create__create-new-button-hover--color: $white;
$create__create-new-button-hover--transition: background-color .2s;
$create__create-new-button--height: $toolbar__vertical-centering-base--height;
$create__create-action-default--size: $toolbar__vertical-centering-base--height;
$create__create-new-button-caret-icon--size: 18px;
$create__create-new-button--caret-button--width: $create__create-new-button--height - 2px;
$create__create-no-subtype-popup--padding: 8px 5px;
$create__create-no-subtype-popup--color: $grey__default--800;

$create__create-action-group-popup--padding: 10px 15px 10px 10px;
$create__create-action-group-popup-cell--height: 20px;

$create__create-new-button-opened--bg-color: #b3daf6;
$create__create-new-button-opened--border-color: $blue__light--500;
$create__create-new-button-opened--border: 1px solid $create__create-new-button-opened--border-color;
$create__create-new-button-select-disabled--bg-position: 4px -13px!important;

$create__create-new-button-opened--box-shadow: -1px 1px 3px 0px rgba($black, 0.1);
$create__create-new-button-action-text-label--margin-right: 5px;
$create__create-type-action-text--color: $black__blueish--100;

$create__create-type-popup-lvl-1--bg-color: $grey__light--500;
$create__create-type-popup-lvl-2--bg-color: $grey__light--100;
$create__create-type-popup-lvl-3--bg-color: $grey__default--1000;
$create__create-type-popup-lvl-4--bg-color: $grey__light--1000;
$create__create-type-popup--max-height: $editor-defaults__popup-box--max-height;

$create__create-type-popup-row-hover--bg-color: $blue__greyish--200;
$create__create-type-popup-row-selected--bg-color: $blue__default--300;
$create__create-type-popup-row-selected--color: $white;

$create__create-type-popup-list-item--padding: 5px 0; 

$create__create-type-toolbar-item-delimiter--color: $grey__light--800;
$create__create-type-selector-button--margin-left: -$create__create-new-button--border-width;
$create__create-new-action-hover--box-shadow: inset 0 0 0 $editor-defaults__action-button--border-width $editor-defaults__action-button-hover--border-color;

$create__toolbar-action-group-item-create-type-button--width: 18px;
$create__toolbar-action-group-item-create-type-button-content--right: 0;
$create__toolbar-action-group-item-create-type-button-content--left: auto;
$create__toolbar-action-group-item-create-type-button-content--color: inherit;
$create__toolbar-action-group-item-create-type-button-hover-content--bg-position: (-$create__create-new-button-caret-icon--size) (-$create__create-new-button-caret-icon--size);
$create__toolbar-action-group-item-create-type-button-hover--color: $grey__light--800;
$create__toolbar-action-extended-group-create-type-button--width: 42px;
$create__toolbar-action-extended-group-image--z-index: 1;
$create__toolbar-action-split-group-label--padding-x: 5px;
$create__toolbar-action-split-group-label--width: 100%;

$create__toolbar-action-split-group-items-overlap--margin: nth($editor-defaults__action-button--border-width,1) * -1;

$create__toolbar-action-split-group-table--border-color: nth($create__create-new-button--border,3);
$create__toolbar-action-split-group-simple-create-type-hover--width: $create__toolbar-action-group-item-create-type-button--width + $create__toolbar-action-split-group-items-overlap--margin;
$create__toolbar-action-split-group-simple-create-type--margin-right: $create__toolbar-action-split-group-items-overlap--margin * -1;

$create__three-dots-group-popup--margin-top: 3px;
$create__three-dots-group-popup--margin-left: 8px;
$create__three-dots-group-popup--pointer-right: 10px;
$create__three-dots-group-popup-content--padding: 7px 15px 7px 7px;